#include <bits/stdc++.h>
using namespace std;
#define N 200005
#define mp make_pair

int n,r[N],c[N];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int start=clock();
    
    cin >> n;
    if(n==1)
    {
        int a,b;
        cin >> a >> b;
        cout<<0;
        return 0;
    }
    if(n==2)
    {
        int a,b,c,d;
        cin >> a >> b >> c >> d;
        if(a==1 && b==1 && c==2 && d==2)cout << 0;
        if(a==2 && b==2 && c==1 && d==1)cout << 0;
        if(a==1 && b==2 && c==2 && d==1)cout << 0;
        if(a==2 && b==1 && c==1 && d==2)cout << 0;
        cout << 1;
        return 0;
    }
    
    for(int i=1;i<=n;i++)
    {
        cin >> r[i] >> c[i];
    }
    
    
    
    
    int endd = clock();
    cout << fixed << setprecision(3) << "\n" << ((endd-start)/CLOCKS_PER_SEC)*1000 << "ms";
    return 0;
}